Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Error installing Eclipse(I get an error before the installation is completed)
Error installing Eclipse [message #1829462] Sat, 04 July 2020 04:49 Go to next message
David Erdmann is currently offline David ErdmannFriend
Messages: 7
Registered: May 2015
Junior Member
I seem to get the following error before Eclipse finished installing, I have installed the lates java platform but I still get the error.
I have Mac computer running the latest O/S Catalina 10.15.5, It could be a very simple fix, however I am going around in circles trying to solve this problem.
I appreciate any help, Thank you
Re: Error installing Eclipse [message #1829465 is a reply to message #1829462] Sat, 04 July 2020 05:50 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 31342
Registered: July 2009
Senior Member
Did you install a Java JDK as opposed to a JRE? Did you install this?

http://jdk.java.net/14/

I know there were some problems with some JDK like this one:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=559482

You can also try to download a package from here:

https://www.eclipse.org/downloads/packages/

But it's highly likely that it will fail to launch the same way and for the same reason...


Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Error installing Eclipse [message #1829467 is a reply to message #1829465] Sat, 04 July 2020 09:48 Go to previous messageGo to next message
David Erdmann is currently offline David ErdmannFriend
Messages: 7
Registered: May 2015
Junior Member
Thank you Ed for the info, unfortunately I tried all of the above without success, so I don't know what else to do to instal this software that I was using before without any problems. I just hope to get some resolution.
Re: Error installing Eclipse [message #1829473 is a reply to message #1829467] Sat, 04 July 2020 13:41 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 31342
Registered: July 2009
Senior Member
Which JDK exactly did you install? I.e., where did you get it from?

I believe the launcher uses this command to find the Java implementations on your machine:

/usr/libexec/java_home -X

What does that print?


Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Error installing Eclipse [message #1829491 is a reply to message #1829473] Sun, 05 July 2020 06:35 Go to previous messageGo to next message
David Erdmann is currently offline David ErdmannFriend
Messages: 7
Registered: May 2015
Junior Member
Hi Ed, thank you for your reply, I have run the line that you posted and this is the result
------------------------------------------------------------------------------------
Davids-Mac-mini:~ david$ /usr/libexec/java_home -X
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<array>
<dict>
<key>JVMArch</key>
<string>x86_64</string>
<key>JVMBlacklisted</key>
<false/>
<key>JVMBundleID</key>
<string>com.oracle.java.14.jdk</string>
<key>JVMEnabled</key>
<true/>
<key>JVMHomePath</key>
<string>/Library/Java/JavaVirtualMachines/jdk-14.jdk/Contents/Home</string>
<key>JVMIsBuiltIn</key>
<false/>
<key>JVMName</key>
<string>Java SE 14</string>
<key>JVMPlatformVersion</key>
<string>14.0</string>
<key>JVMVendor</key>
<string>Oracle Corporation</string>
<key>JVMVersion</key>
<string>14</string>
</dict>
</array>
</plist>
--------------------------------------------------------------------------------------
I have been wondering if the latest version of Eclipse runs on Mac OS Catalina. I haven't found where this information could be.
Thanks once again
David
Re: Error installing Eclipse [message #1829516 is a reply to message #1829491] Mon, 06 July 2020 05:17 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 31342
Registered: July 2009
Senior Member
It seems to me that Oracle published a 14.0.1 build. Perhaps installing that will help. Otherwise, I don't have a clue. Sorry.

Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Error installing Eclipse [message #1829526 is a reply to message #1829516] Mon, 06 July 2020 07:45 Go to previous message
David Erdmann is currently offline David ErdmannFriend
Messages: 7
Registered: May 2015
Junior Member
Thank you Ed, I will give Oracle a try and see what happens. I will keep trying. Cheers
Previous Topic:ISO C++ 2020 syntax fails to parse correctly
Next Topic:Launch Issue with 2020-06 on Ubuntu 16.04 x86_64 GTK 3.18.9 JRE 8
Goto Forum:
  


Current Time: Tue Aug 04 01:39:37 GMT 2020

Powered by FUDForum. Page generated in 0.03527 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top